<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bOrdenesTrabajo,m05bClasses.*,java.io.PrintWriter
" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<!-- Para poder mostrar los caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>	

<HTML>

<!-- Fecha de creacion: (07/09/04) -->
<%	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if (session.getAttribute("objetoSeguridad") == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> 
<%	} 
	String persona = (String) session.getAttribute("persona");
%>
	<%@ include file="/m05bIdioma.inc"%>
	
<head>
			<title><%= resTit.getString("titOT")%></title>
			<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
			<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
			<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Ordenes.js"></script>
			<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
			<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Horas.js"></script>
			<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
			<script language="JavaScript">
				var buscar=false;
				var nuevo=false;
			</SCRIPT>
			<script>
			function fncGrabarReparacion(codigo,Repefectuar){
			       var docu=document.formOrdTrabajo;
			       urlIframe="m05bGrabarRepFrameJsp.jsp?Codigo=" + codigo+"&Repefectuar="+Repefectuar ;
				   var objIframe = window.frames['cargar'];
				   objIframe.document.location.replace(urlIframe);
			} // Fin funcion fncGrabarReparacion
			</script>
	</head>
<%
  m05bComun comun = new m05bComun();
  m05bCombo miCombo = new m05bCombo();
  m05bCampos miCampo = new m05bCampos();
  m05bFileLog miLog = new m05bFileLog();

  String Codigo = request.getParameter("Codigo");
  miLog.addTraza(persona, "Ord. Trabajo"," CODIGO: " + Codigo, m05bConstantes.LOG_NIVEL_BAJO);
  String mensaje = request.getParameter("Mensaje")==null?"":request.getParameter("Mensaje");
  PrintWriter outMsg= response.getWriter();
  if (mensaje.equals("true")) {
	    outMsg.println("<script>alert(dameAlerta(idioma, 3));</script>");
  } else if (mensaje.equals("exdatos")) {
	    outMsg.println("<script>alert(dameAlerta(idioma, 179));</script>");
  }
  miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC," MENSAJE: " + mensaje, m05bConstantes.LOG_NIVEL_BAJO);
  outMsg.close();

  boolean bolNuevo=false;

  String strMatricula="", strDpto="", strTelefono="",strPersona="", strNombre="", strDesc="";
  String strFecFactura="", strFecGarantia="", strImporte="", strFactura="",strCodTaller="", strDescTaller="";
  String strFecEntrada="", strHorEntrada="", strFecSalida="", strHorSalida="";
  String strKmsalida="", strkmentrada="", strNotas="";
  String accion="", editable="", editableKmEntrada="";
  java.sql.Connection conn=null;
  PreparedStatement pstmt = null;
  ResultSet rs = null;

  m05bOrdenesTrabajo ordenestrabajo = null;

  if (Codigo==null || Codigo.equals("NUEVO"))  {
			bolNuevo=true;
		    %>
		     <script language="JavaScript">
		            nuevo=true;
		     </script>
		    <%
			accion=m05bConstantes.ACC_INSERTAR;
			session.removeAttribute("m05bOrdenesTrabajo");
		    StringBuffer sql2 = new StringBuffer();
		    sql2.append("SELECT ").append(m05bConstantes.COL_20_CODIGO);
		    sql2.append(" FROM ").append(m05bConstantes.TAB_ORDENESTRAB);
		    sql2.append(" ORDER BY ").append(m05bConstantes.COL_20_CODIGO).append(" DESC");
		    miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC," SQL2: " + sql2, m05bConstantes.LOG_NIVEL_BAJO);
		     try {
		           String Codigo1="";
		           //m05bbBeginSelect(sql2.toString());
		           m05bConexion miConex = new m05bConexion();
                   conn = miConex.getConnection();
                   conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
		           pstmt = conn.prepareStatement(sql2.toString());
		           int cod=0;
		           rs = pstmt.executeQuery();
		           if  (rs.next() == true){
		            Codigo1=rs.getString(m05bConstantes.COL_20_CODIGO);
		           }
		           cod=Integer.parseInt(Codigo1);
		           cod++;
		           Codigo=""+cod;
		           miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC,"CODIGO:"+Codigo, m05bConstantes.LOG_NIVEL_BAJO);
		    } catch (Exception ex1){
		        miLog.addTraza(ex1);
		    } finally {
		        //m05bEndSelect();
		       if (rs != null)
					rs.close();
				if (pstmt != null)
					pstmt.close();
				if (conn != null)
					conn.close();
		    }
  } else   {
		accion=m05bConstantes.ACC_ACTUALIZAR;
		editable="disabled";
		ordenestrabajo = (m05bOrdenesTrabajo)session.getAttribute("m05bOrdenesTrabajo");
	    strFecEntrada=ordenestrabajo.getOrd_fentrada();

	    if (strFecEntrada==null || strFecEntrada.equals(""))
		        strFecEntrada="";
	    else {
		        strFecEntrada=strFecEntrada.trim();
		        strHorEntrada=comun.Hora(strFecEntrada);
		        strHorEntrada=comun.formatearHora(strHorEntrada);
		        strFecEntrada=comun.Mes(strFecEntrada,campoTexto3);
	    }
	    strFecSalida=ordenestrabajo.getOrd_fsalida();

	    if (strFecSalida==null || strFecSalida.equals("")){
		        strFecSalida="";

	    }else {
		        strFecSalida=strFecSalida.trim();
		        strHorSalida=comun.Hora(strFecSalida);
		        strHorSalida=comun.formatearHora(strHorSalida);
		        strFecSalida=comun.Mes(strFecSalida,campoTexto3);
		        editableKmEntrada="";
	    }
	    strFecGarantia=ordenestrabajo.getOrd_fgarantia();
	    if (strFecGarantia==null || strFecGarantia.equals(""))
		        strFecGarantia="";
	    else
		        strFecGarantia=comun.Mes(strFecGarantia,campoTexto3);
		
	    strFecFactura=ordenestrabajo.getOrd_ffactura();
	    if (strFecFactura==null || strFecFactura.equals(""))
		        strFecFactura="";
	    else
		        strFecFactura=comun.Mes(strFecFactura,campoTexto3);
	    strKmsalida=ordenestrabajo.getOrd_kmsalida()==null?"":ordenestrabajo.getOrd_kmsalida();
	    if (strKmsalida.equals("0")){
	       strKmsalida="";
	    }
	    strFactura=ordenestrabajo.getOrd_factura()==null?"":ordenestrabajo.getOrd_factura();
	    strImporte=ordenestrabajo.getOrd_importe()==null?"":ordenestrabajo.getOrd_importe();
	    strPersona=ordenestrabajo.getOrd_persona()==null?"":ordenestrabajo.getOrd_persona();
	    strkmentrada=ordenestrabajo.getOrd_kmentrada()==null?"":ordenestrabajo.getOrd_kmentrada();
	    strCodTaller=ordenestrabajo.getOrd_codtaller()==null?"":ordenestrabajo.getOrd_codtaller();
	    strDescTaller=miCampo.getCampo(m05bConstantes.TAB_TALLER, m05bConstantes.COL_30_DESCRIP,m05bConstantes.COL_30_CODIGO, strCodTaller);
	    strNombre=ordenestrabajo.getOrd_conductor()==null?"":ordenestrabajo.getOrd_conductor();
	    strTelefono=ordenestrabajo.getOrd_telefono()==null?"":ordenestrabajo.getOrd_telefono();
	    strDpto=ordenestrabajo.getOrd_desdpto()==null?"":ordenestrabajo.getOrd_desdpto();
	    strMatricula=ordenestrabajo.getOrd_matricula()==null?"":ordenestrabajo.getOrd_matricula();
	    strDesc=ordenestrabajo.getOrd_descrip()==null?"":ordenestrabajo.getOrd_descrip();
	    //strNotas=ordenestrabajo.getOrd_notas()==null?"":ordenestrabajo.getOrd_notas();
	    
   }
	    miLog.addTraza(m05bConstantes.LOG_NO_USER, m05bConstantes.LOG_NO_SRC,"MATRICULA: " + strMatricula, m05bConstantes.LOG_NIVEL_BAJO);
   
%>
<BODY style="cursor: wait" onLoad="javascript: document.body.style.cursor='default';fncInicio();InitMenu();return false;" onunload="document.body.style.cursor='wait';">
<div id='p01popUpWindowCalendar' style='position:relative; top:15px left:150px'></div>
		<SCRIPT language=JavaScript>
			var urlIdioma;		//URL recarga en funcion del idioma
			var rutaCabecera;	//Camino de migas
			var detActual;		//Ventana actual
			urlIdioma = "<%=m05bConstantesPaginas.VEH_OT_NUEVA%>";
			detActual = '<%=resCM.getString("cmOT")%>';
			rutaCabecera="";
			//rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
		</SCRIPT>
		<%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>

<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<!-- Calendarios -->
			<%	String m05bCalendarEstilo = m05bFicheroProperties.getInstance().getParameter("m05bEstilos.Calendario");  %>
			<%=m05bCalendarEstilo%>
			<%	String m05bCalendarScripts = m05bFicheroProperties.getInstance().getParameter("m05bScripts.Calendario");  %>
			<%=m05bCalendarScripts%>
			<FORM NAME="formOrdTrabajo" METHOD="POST">
					<!--    BOTONERA   -->
					  <TABLE class="general" >
					    <tr>
							<% if (!bolNuevo) {%>
								<% if (mensaje.equals("buscar")) {%>
								  <td width="30%" align="right">
								      <!--INPUT TYPE="IMAGE" style="cursor: hand" VALUE="Retornar" ONCLICK="JavaScript:history.back();return false" onMouseOver="top.status='Retornar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/retornar.gif"-->
                                      <input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:history.back();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />				      								      
								  </td>
							      <td width="10%" align="right">
							          <!--INPUT TYPE="IMAGE" style="cursor: hand" VALUE="Nuevo" ONCLICK="JavaScript:fncNuevo();return false;"  src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/nuevo.gif"/-->
                                      <input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />				      								      							          
							      </td>
								<% } else { %>
							      <td width="40%" align="right">
							          <!--INPUT TYPE="IMAGE" style="cursor: hand" VALUE="Nuevo" ONCLICK="JavaScript:fncNuevo();return false;"  src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/nuevo.gif"/-->
                                      <input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />				      								      							          							          
							      </td>
								<% } %>
							      <td width="5%" align="right">
							         <!--INPUT TYPE="IMAGE" style="cursor: hand" VALUE="Eliminar" ONCLICK="JavaScript:fncGrabar(NOrden.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='Eliminar una orden de trabajo'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/eliminar.gif"/--> 
                                     <input type="button" class="boton" name="<%= res.getString("etBOT_ELIMINAR")%>" value="<%= res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar(NOrden.value, '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSELIMINAR")%>'; return false" onMouseOut="top.status=''; return false" />				      								      							          							          							         
							      </td>
							      <td width="5%" align="right">
							         <!--INPUT TYPE="IMAGE" style="cursor: hand" VALUE="Rep. Efectuadas" ONCLICK="JavaScript:fncRepEfectuadas(); return false;" onMouseOver="top.status='Reparaciones Efectuadas'; return true" onMouseOut="top.status='Pendientes'; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/repEfectuadas.gif"-->
                                     <input type="button" class="boton" name="<%= res.getString("etBOT_REPEFECTUADAS")%>" value="<%= res.getString("etBOT_REPEFECTUADAS")%>" ONCLICK="JavaScript:fncRepEfectuadas();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSREPEFECTUADAS")%>'; return false" onMouseOut="top.status=''; return false" />				      								      							          							          							         							         
							      </td>
							      <td width="5%" align="right">
							         <!--INPUT TYPE="IMAGE" style="cursor: hand" VALUE="Grabar" ONCLICK="JavaScript:fncGrabar(NOrden.value, '<%=accion%>');return false;" onMouseOver="top.status='Grabar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/grabar.gif"/--> 
									 <input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(NOrden.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />				      								      							          							          							         							         
							      </td>
							      <td width="5%" align="right">
							         <!--INPUT TYPE="IMAGE" style="cursor: hand" VALUE="Pendientes" ONCLICK="JavaScript:fncPendientes(); return false;" onMouseOver="top.status='Pendientes'; return true" onMouseOut="top.status='Pendientes'; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/pendientes.gif"-->
                                     <input type="button" class="boton" name="<%= res.getString("etBOT_PENDIENTES")%>" value="<%= res.getString("etBOT_PENDIENTES")%>" ONCLICK="JavaScript:fncPendientes(); return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPENDIENTES")%>'; return false" onMouseOut="top.status=''; return false" />				      								      							          							          							         							         							         
							      </td>
								  <td width="5%" align="right">
								     <!--INPUT TYPE="IMAGE" style="cursor: hand" VALUE="GenerarRevision" ONCLICK="JavaScript:fncRevision(); return false;" onMouseOver="top.status='Generar Revisiones'; return true" onMouseOut="top.status='Generar Revisiones'; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/generarRev.gif"-->
								     <input type="button" class="boton" name="<%= res.getString("etBOT_GENERARREVISION")%>" value="<%= res.getString("etBOT_GENERARREVISION")%>" ONCLICK="JavaScript:fncRevision(); return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGENERARREVISION")%>'; return false" onMouseOut="top.status=''; return false" />				      								      							          							          							         							         							         
								  </td>
							<%} else {%>
								  <td width="70%" align="right">
								     <!--INPUT TYPE="IMAGE" style="cursor: hand" VALUE="Nuevo" ONCLICK="JavaScript:fncNuevo();return false;"  src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/nuevo.gif"/-->
								     <input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />				      								      							          							          							         							         							         
								  </td>
							      <td width="10%" align="right">
							         <!--INPUT TYPE="IMAGE" style="cursor: hand" VALUE="Grabar" ONCLICK="JavaScript:fncGrabar(NOrden.value, '<%=accion%>');return false;" onMouseOver="top.status='Grabar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/grabar.gif"/--> 
								     <input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar(NOrden.value, '<%=accion%>');return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" />				      								      							          							          							         							         							         							         
							      </td>
							      <td width="10%" align="right">
							         <!--INPUT TYPE="IMAGE" style="cursor: hand" VALUE="Pendientes" ONCLICK="JavaScript:fncPendientes(); return false;" onMouseOver="top.status='Pendientes'; return true" onMouseOut="top.status='Pendientes'; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/pendientes.gif"-->
								     <input type="button" class="boton" name="<%= res.getString("etBOT_PENDIENTES")%>" value="<%= res.getString("etBOT_PENDIENTES")%>" ONCLICK="JavaScript:fncPendientes(); return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPENDIENTES")%>'; return false" onMouseOut="top.status=''; return false" />				      								      							          							          							         							         							         							         
							      </td>
							<%}%>
							<% if (!bolNuevo) {%>
							      <td width="5%" align="right">
							         <!--INPUT TYPE="IMAGE" style="cursor: hand" VALUE="Imprimir" ONCLICK="JavaScript:fncImprimir();return false;" onMouseOver="top.status='Imprimir'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/imprimir.gif"/--> 
									<input type="button" class="boton" name="<%= res.getString("etBOT_PRESENTAR")%>" value="<%= res.getString("etBOT_PRESENTAR")%>" ONCLICK="JavaScript:fncImprimir(); return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPRESENTAR")%>'; return false" onMouseOut="top.status=''; return false" />				      								      							          							          							         							         							         							         							         
							      </td>
							 <%} %>
							      <!--td width="10%" align="right"><INPUT TYPE="IMAGE" style="cursor: hand" VALUE="Cancelar" ONCLICK="JavaScript:fncCancelar();return false;" onMouseOver="top.status='Cancelar'; return true" onMouseOut="top.status=''; return true" src="<%//=m05bConstantesPaginas.PATH_IMAGENES%>/cancelar.gif"/> </td-->
						</tr>
					  </TABLE>

				
	               <TABLE class="general" width="100%">
					    <tr>
							      <td class="searchTitle" colspan="9"><%= res.getString("etOT")%></td>
					    </tr>
					    <tr>
							      <td width="22%" align="left" class="inputFieldTitle"><%= res.getString("etNOrden")%></td>
							      <td width="40%" align="left" colspan="5" class="inputFieldTitle"><%= res.getString("etFechaEntrada")%></td>
							      <td width="38%" align="left" class="inputFieldTitle" colspan="5"><%= res.getString("etAbiertaPor")%></td>
					    </tr>

					    <tr>
							      <td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="NOrden" VALUE="<%=Codigo%>" size="15" maxlength="8" disabled > </td>
						      	  <td align="left" colspan="5">
							      	<table width="100%" cellspacing="0" cellpadding="0">
							      		<tr>
							      			  <td width="24%" align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="FEntrada" VALUE="<%=strFecEntrada%>" size="10" maxlength="10" onblur='javascript:formatearFecha(this);fncCambiaInicio(this,"2");return false;' <%=editableKmEntrada%> ></td>
									      	  <td width="15%" align="left"><a href='#' name='anchorFEntrada' onClick='JavaScript:showCalendar("anchorFEntrada",idioma,document.all("FEntrada"),true,200,200,2002);return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border="0" src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' ></a></td>
									      	  <td align="left" colspan="3"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="HEntrada" VALUE="<%=strHorEntrada%>" size="6" maxlength="6" onBlur="javascript:formatearHora(this);return false;"  ></td>
						      		    </tr>
							      	</table>
							      </td>
							      
							      <td align="left" colspan="3">
							      	  <select name="Abierta"  class="inputFieldOblig" onKeypress="buscar_op(this,Nombre)" onchange="borrar_buffer()" onblur="borrar_buffer()" <%//=editable%> >
							                    <option type=submit size="20"> </option>
							                  <% if (bolNuevo) {%>
							                    <%=miCombo.popCombo( m05bConstantes.COL_07_CODIGO, m05bConstantes.COL_07_NOMBRE, m05bConstantes.TAB_EMPTALLER, m05bConstantes.COL_07_ALTA, "'S'", strPersona)%>
							                  <%}else{ %>
							                  <%=miCombo.popCombo( m05bConstantes.COL_07_CODIGO, m05bConstantes.COL_07_NOMBRE, m05bConstantes.TAB_EMPTALLER, m05bConstantes.COL_07_ALTA, "", strPersona)%>
							                  <%}%>
							          </select>
							      </td>
					    </tr>
						<tr>
							      <td align="left" class="searchTitle" colspan="9"><%= res.getString("etConductor")%></td>
					    </tr>
					    <tr>
							      <td width="62%" align="left" class="inputFieldTitle" colspan="6"><%= res.getString("etNombre")%></td>
							      <td width="38%" align="left" class="inputFieldTitle" colspan="3"><%= res.getString("etTelefono")%></td>
		  				</tr>
					    <tr>
							      <td align="left" colspan="6"><INPUT class="inputField" TYPE="TEXT" NAME="Nombre" value="<%=strNombre%>" size="60" maxlength="100" <%=editable%> > </td>
							      <td align="left" colspan="3"><INPUT class="inputField" TYPE="TEXT" NAME="Telefono" VALUE="<%=strTelefono%>" size="15" maxlength="22" <%=editable%> > </td>
					    </tr>
					    <tr>
							      <td  align="left" class="searchTitle" colspan="9"><%= res.getString("etDatosVehiculo")%></td>
					    </tr>
					    <tr>
							      <td  width="22%" align="left" class="inputFieldTitle"><%= res.getString("etMatricula")%></td>
							      <td  width="40%" align="left" colspan="5" class="inputFieldTitle"><%= res.getString("etMarca")%></td>
							      <td  width="38%" align="left" class="inputFieldTitle" colspan="3"><%= res.getString("etModelo")%></td>
					    </tr>

					    <tr>
							<% if (bolNuevo) {%>
							      <td align="left">
							          <select class="inputFieldOblig" NAME="Matricula" onchange="JavaScript:blur();" onKeypress="if ((event.keyCode == 13)|| (event.keyCode == 21)){ blur();} else {buscar_op(this, this);}" onblur="javascript: fncMatricula(true,false); borrar_buffer();document.formOrdTrabajo.KmEntrada.focus();" onclick="borrar_buffer();" <%//=editable%>/>

							                <option value="">  </option>
							                <%=miCombo.ComMatricula(m05bConstantes.VEH_ALTA,strMatricula)%>
							          </select>
							     </td>
							<% } else {%>
							      <td align="left" > <INPUT class="inputField" TYPE="TEXT" NAME="Matricula" VALUE="<%=strMatricula%>" size="15" maxlength="20" <%=editable%>/> </td>
							<% } %>
							      <td align="left" colspan="5"> <INPUT class="inputField" TYPE="TEXT" NAME="Marca" VALUE="" size="43" readonly> </td>
							      <td align="left" colspan="3"> <INPUT class="inputField" TYPE="TEXT" NAME="Modelo" VALUE="" size="45" readonly> </td>
					    </tr>

					    <tr>
							      <td width="62%" align="left" class="inputFieldTitle" colspan="6"><%= res.getString("etRango")%></td>
							      <td width="38%" align="left" class="inputFieldTitle" colspan="3"><%= res.getString("etDepartamento")%></td>
					    </tr>
					    <tr>
							      <td align="left" colspan="6"><INPUT class="inputField" TYPE="TEXT" NAME="Rango" VALUE="" size="62" readonly> </td>
							      <td align="left" colspan="3"><INPUT class="inputField" TYPE="TEXT" NAME="Dpto" VALUE="" size="45" readonly > </td>
					    </tr>
					    <tr>
							      <td align="left" width="22%" class="inputFieldTitle"><%= res.getString("etKmEntrada")%></td>
							      <td align="left" width="20%" colspan="2" class="inputFieldTitle"><%= res.getString("etKmSalida")%></td>
							      <td align="left" width="20%" class="inputFieldTitle" colspan="3"><%= res.getString("etFSalida")%></td>
							      <td align="left" width="38%" class="inputFieldTitle" colspan="3"><%= res.getString("etTaller")%></td>
					    </tr>
					    
					    
					    
					    
					    
					    
					    <tr>
							      <td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="KmEntrada" VALUE="<%=strkmentrada%>" size="15" maxlength="8" onblur='javascript: Kment.value=trimPointers(this.value);formatNumero(this);fncCambiaInicio(this,"1");return false;' ></td>
							      <input type="hidden" name="Kment" value="<%=strkmentrada%>">
							      
							      <td align="left" colspan="2"><INPUT class="inputField" TYPE="TEXT" NAME="KmSalida" VALUE="<%=strKmsalida%>" size="16" maxlength="8" onblur='javascript: Kmsal.value=trimPointers(this.value);formatNumero(this);fncCambiaFin(this,"1");return false;'></td>

							      <input type="hidden" name="Kmsal" value="<%=strKmsalida%>">
							      
							      <td align="left" colspan="3">
							      	<table width="100%" cellspacing="0" cellpadding="0">
							      		<tr>
							      			  <td width="40%" align="left"><INPUT class="inputField" TYPE="TEXT" NAME="FSalida" VALUE="<%=strFecSalida%>" size="10" maxlength="10" onblur='javascript:if (formatearFecha(this)==0){document.formOrdTrabajo.HSalida.focus();} return false;' /></td>
									      	  <td width="20%" align="left"><a href='#' name='anchorFSalida' onClick='JavaScript:showCalendar("anchorFSalida",idioma,document.all("FSalida"),true,200,200,2002);return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border="0" src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' /></a></td>
									      	  <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="HSalida" VALUE="<%=strHorSalida%>" size="6" maxlength="6" onBlur='javascript:formatearHora(this);fncCambiaFin(document.formOrdTrabajo.FSalida,"2");return false;'/></td>
									    </tr>
							      	</table>
							      </td>
						      	  
							<% if (strFecSalida.equals(""))  { %>
							      <td align="left"><INPUT class="inputFieldOblig" TYPE="TEXT" NAME="CodTaller" VALUE="<%= strCodTaller%>" size="8" maxlength="4" onblur="javascript:fncComprobarTallerCod();return false;"></td>
							      <td>&nbsp;
							        <!--INPUT TYPE="IMAGE" style="cursor: hand"  VALUE="Buscar" ONCLICK="JavaScript:fncBuscarTaller(formOrdTrabajo);return false;" onMouseOver="top.status='Buscar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/buscar.gif"/-->
							        <input type="button" class="botonS" name="<%= res.getString("etBOT_BUSCAR")%>" value="<%= res.getString("etBOT_BUSCAR")%>" ONCLICK="JavaScript:fncBuscarTaller(formOrdTrabajo);return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSBUSCAR")%>'; return false" onMouseOut="top.status=''; return false" />				      
							      </td>
							      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="DescTaller" VALUE="<%=strDescTaller%>" size="20" maxlength="100" onblur="javascript:fncComprobarTallerDesc();return false;" /></td>
							<% } else { %>
						      	  <td align="left" colspan="3"> 
						      	  	  <select name="CodTaller" class="inputField" disabled>
						                    <option type="submit" size="15"></option>
						                    <%=miCombo.popCombo( m05bConstantes.COL_30_CODIGO, m05bConstantes.COL_30_DESCRIP,m05bConstantes.TAB_TALLER, m05bConstantes.COL_30_CODIGO, m05bConstantes.COL_30_CODIGO, strCodTaller)%>
						          	  </select>
						      	  </td>
							<% } %>
		  				</tr>					    
					    


			    		<tr>
							      <td align="left" class="inputFieldTitle" colspan="9"><%= res.getString("etRepEfectuar")%></td>
					    </tr>
					    <tr>
					    	<% if (!bolNuevo) {%>
					              <td align="left" colspan="9">
							         <TEXTAREA class="inputField" TYPE="TEXT" NAME="Repefectuar" cols="95" rows="2" ><%=strDesc%></TEXTAREA>
							         <!--INPUT TYPE="IMAGE" style="cursor: hand" VALUE="Grabar" ONCLICK="JavaScript:fncGrabar(NOrden.value, '<%=accion%>');return false;" onMouseOver="top.status='Grabar'; return true" onMouseOut="top.status=''; return true" src="<%=m05bConstantesPaginas.PATH_IMAGENES%>/grabar.gif"/--> 
									 <!--input type="button" class="boton" name="<%= res.getString("etBOT_GRABAR")%>" value="<%= res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabarReparacion(NOrden.value,Repefectuar.value);return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSGRABAR")%>'; return false" onMouseOut="top.status=''; return false" /-->				      								      							          							          							         							         
							      </td>
							 <%} else { %>
							 	 <td align="left" colspan="9">
							         <TEXTAREA class="inputField" TYPE="TEXT" NAME="Repefectuar" cols="90" rows="2" ><%=strDesc%></TEXTAREA>
							      </td>
							 <%} %>
					    </tr>					    
					    <tr>
							      <td align="left" class="searchTitle" colspan="9"><%= res.getString("etDatosFactura")%></td>
					    </tr>
			    		<tr>
							      <td align="left" width="22%" class="inputFieldTitle"><%= res.getString("etNFactura")%></td>
							      <td align="left" width="20%" class="inputFieldTitle" colspan="2"><%= res.getString("etFFactura")%></td>
							      <td align="left" width="20%" class="inputFieldTitle" colspan="3"><%= res.getString("etFGarantia")%></td>
							      <td align="left" width="38%" class="inputFieldTitle" colspan="3"><%= res.getString("etImporte")%></td>
					    </tr>
					    <tr>
							      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="NFactura" VALUE="<%=strFactura%>" size="15" maxlength="20"/> </td>						      
						      	  <td align="left" colspan="2">
							      	<table width="100%" cellspacing="0" cellpadding="0">
							      		<tr>
							      			 <td width="60%" align="left"><INPUT class="inputField" TYPE="TEXT" NAME="FFactura" VALUE="<%=strFecFactura%>" size="10" maxlength="10" onblur="javascript:formatearFecha(this);return false;" /></td>
						      	 		 	 <td align="left"><a href='#' name='anchorFFactura'  onClick='JavaScript:showCalendar("anchorFFactura",idioma,document.all("FFactura"),true,200,200,2002);return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border="0" src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' /></a></td>
									    </tr>
							      	</table>
							      </td>
						      	  <td align="left" colspan="3">
							      	<table width="100%" cellspacing="0" cellpadding="0">
							      		<tr>
							      			<td width="40%" align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Garantia" VALUE="<%=strFecGarantia%>" size="10" maxlength="15" onblur="javascript:formatearFecha(this);return false;" /> </td>
						      	  			<td align="left" colspan="2"><a href='#' name='anchorFGarantia'  onClick='JavaScript:showCalendar("anchorFGarantia",idioma,document.all("Garantia"),true,200,200,2002);return false;' onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border="0" src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif' /></a></td>
									    </tr>
							      	</table>
							      </td> 
							      							      
							      <td align="left" colspan="3"><INPUT type="text" NAME="FormatImporte"  class="inputField" onblur="formatNumeroDecimal(document.formOrdTrabajo.FormatImporte,6 ,2);" value="<%=strImporte%>" size="15" maxlength="8" ></td>
		  				</tr>

					  </TABLE>				
				
				
				
				
				
				
				
			      	  <input TYPE="hidden" NAME="Importe" VALUE="<%=strImporte%>"> 
					  <input type="hidden" name="FKmAct">
					  <input type="hidden" name="KmAct">
					  <input type="hidden" name="Finalizada" VALUE="<%=strFecSalida%>">
					  <script>
					  		formatNumeroDecimal(document.formOrdTrabajo.FormatImporte,6 ,2);
					  </script>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
	</tr>
</table>
<SCRIPT language='javascript'>
			function fncRevision (){				
				var docu=document.formOrdTrabajo;
				fncHabilitarMenosCampo(formOrdTrabajo,"");
				var mat=docu.Matricula.value;
				if (mat == "") {
					alert(dameAlerta(idioma, 180));
				} else {
					var des=docu.Repefectuar.value;
					if (des != "") {
						des= des.toUpperCase();
					}
					var km=docu.KmEntrada.value;
					var fec=docu.FEntrada.value;
					var nor=docu.NOrden.value;
					var imp=docu.FormatImporte.value;
					var parametros="Matricula="+mat+"&KmRevision="+km+"&FRevision="+fec;
					parametros=parametros+"&Desc="+des+"&Importe="+imp+"&NOrden="+nor;
					docu.action="m05bOrdRevJsp.jsp?"+parametros;
					docu.target="cargar";				
					docu.submit();
				}
			}  // Fin funcion fncRevision
			
// La siguiente funcion se llama desde m05bOrdRevJsp.jsp
			function fncRev () {
				document.formRevision.action="m05bGrabarRevisionServlet?Codigo="+document.formRevision.Codigo.value+"&Accion=I&Ordenes=S";
			    document.formRevision.submit();
			} // Fin funcion fncRev
				
			function fncMatricula(nueva, inicio){
			       var docu=document.formOrdTrabajo;
		       	   if (docu.Matricula.value == "")  {
		       	   	   docu.Marca.value = "";
		       	   	   docu.Modelo.value = "";
		       	   	   docu.Rango.value = "";
		       	   	   docu.KmEntrada.value = "";
		       	   } else {
				       urlIframe="m05bOrdFrameJsp.jsp?Matricula="+docu.Matricula.value + "&NuevaOT=" +  nueva + "&Inicio=" +  inicio;
					   var objIframe = window.frames['cargar'];
					   objIframe.document.location.replace(urlIframe);
				   }
			} // Fin funcion fncMatricula
				

		   /* function fncBuscarPersona (){
		       var nombre=document.formOrdTrabajo.Nombre.value;
		       var propiedades="left=50,top=100,width=700,height=550,scrollbars=yes";
		       var ventana ='m05bBuscarPersonasJsp.jsp?Nombre='+nombre;
		       window.open(ventana,'',propiedades);
		    } // Fin fncBuscarPersona	*/			
			
			function fncBusOrd(){
			       var docu=document.formOrdTrabajo;
			       if (buscar==false){
			            buscar=true;
			            limpiarCampos();
			            alert(dameAlerta(idioma, 181));
			            //document.formOrdTrabajo.Matricula.value="";
			      }
			      else {
			           docu.action="m05bRelOrdenesJsp.jsp";
			           docu.target="_top";
			           docu.submit();
			      }
			} // Fin funcion fncBusOrd
			
			function fncNuevo(){
			            limpiarCampos();
			            top.location="m05bOrdenesTrabajoJsp.jsp?Codigo=NUEVO";
			} // Fin funcion fncNuevo
			
			
			function fncInicio(){
					InitMenu();
			        var docu=document.formOrdTrabajo;
					if (nuevo==true) {
						ponerHora();
					} else if (buscar==false && nuevo==false && (docu.Matricula.value != null) ) {
							fncMatricula(nuevo, "true");
					}
					return false;
			} // Fin funcion fncInicio
							
			function fncPendientes () {
			        var docu=document.formOrdTrabajo;
			        docu.action="m05bPenOrdenesJsp.jsp";
			        docu.target="_top";
			        docu.submit();
			} // Fin funcion fncPendientes
				
			function fncRepEfectuadas () {
			        var docu=document.formOrdTrabajo;
			        docu.FEntrada.disabled=false;
			        docu.HEntrada.disabled=false;
			        docu.action="m05bVehOrdRepaJsp.jsp?NOrden=<%=Codigo%>";
			        docu.target="_top";
			        docu.submit();
			} // Fin funcion fncRepEfectuadas
									  
			function fncGrabar(codigo,accion) {
				var docu = document.formOrdTrabajo;
				var bGrabar="1";
				if ( accion != "E")  {
						habilitar();
						var kEnt = parseInt(docu.Kment.value,10);
						var kSal = parseInt(docu.Kmsal.value,10);
						var kmActV = parseInt(docu.KmAct.value,10);
						if  ( (esVacio(docu.FEntrada.value)) || (esVacio(docu.HEntrada.value)) )   {
							//deshabilitar();
							alert(dameAlerta(idioma, 182));
							return false;
						} else if  ( esVacio(docu.Abierta.value)) {
							alert(dameAlerta(idioma, 183));
							return false;
						} else if  ( esVacio(docu.Matricula.value)) {
							alert(dameAlerta(idioma, 2));
							return false;
						} else if  ( esVacio(docu.KmEntrada.value)) {
							alert(dameAlerta(idioma, 184));
							return false;
						} else if  ( esVacio(docu.CodTaller.value)) {
							alert(dameAlerta(idioma, 185));
							return false;
						} else if  (( esVacio(docu.FSalida.value)) && 
								(!(esVacio(docu.KmSalida.value))) ){
							alert(dameAlerta(idioma, 186));
							return false;
						} else if  (( esVacio(docu.KmSalida.value)) && 
								(!(esVacio(docu.FSalida.value))) ){
							alert(dameAlerta(idioma, 187));
							return false;
						}/*bb else if (((kEnt > kSal) )) {
							var msge1 = dameAlerta(idioma, 188);
							msge1 = msge1.replace("replace1",kSal);
							msge1 = msge1.replace("replace2",kEnt);
							alert(msge1);
							return false;
						} else if ((kSal < kmActV ) ) { 
					        var msge2 = dameAlerta(idioma, 189);
							msge2 = msge2.replace("replace1",kSal);
							msge2 = msge2.replace("replace2",kmActV);
							alert(msge2);
					        return false;
						} else if (((kSal-kmActV)>20000) ){
								var msge3 = dameAlerta(idioma, 190);
								msge3 = msge3.replace("replace1",kmActV);
								msge3 = msge3.replace("replace2",kSal);
								if (!confirm(msge3)){
									bGrabar="0";
								}
					    }
					    if ( (!(esVacio(docu.FSalida.value))) && 
					    				(!(comparaFechas(docu.FKmAct.value, docu.FSalida.value )) )  ) {
					        var msge4 = dameAlerta(idioma, 191);
							msge4 = msge4.replace("replace1",docu.FSalida.value);
							msge4 = msge4.replace("replace2",docu.FKmAct.value);
					        alert(msge4);
							return false;
						} else*/ if  (!(esVacio(docu.FSalida.value))) {
				        		if (comparaFechas(docu.FEntrada.value,docu.FSalida.value)) {
						             if (FechasIguales(docu.FEntrada.value,docu.FSalida.value)) {
						                    if (!(ComparaHoras(docu.HEntrada.value,docu.HSalida.value))) {
							                     alert(dameAlerta(idioma, 192));
							                     //docu.HSalida.focus();
							                     return false;
						                    }
						             }
								 } else {
					        		var msge5 = dameAlerta(idioma, 193);
									msge5 = msge5.replace("replace1",docu.FSalida.value);
									msge5 = msge5.replace("replace2",docu.FEntrada.value);
							        alert(msge5);
					        		return false;
								 } 
						} 
				} else  {	
				        var msg = dameAlerta(idioma, 194);
				        if (!confirm(msg)){
								return false;
				        }
				}
				if(docu.Nombre){
					if(existeCaracter(docu.Nombre.value,"\'")||existeCaracter(docu.Nombre.value,'\"')){
		     			alert(dameAlerta(idioma, 1));
		     			docu.Nombre.focus();
		     			return;
		     		}
		     	}
		     	if(docu.Telefono){
		     		if(existeCaracter(docu.Telefono.value,"\'")||existeCaracter(docu.Telefono.value,'\"')){
		     			alert(dameAlerta(idioma, 1));
		     			docu.Telefono.focus();
		     			return;
		     		}
		     	}
		     	if(docu.CodTaller){
		     		if(existeCaracter(docu.CodTaller.value,"\'")||existeCaracter(docu.CodTaller.value,'\"')){
		     			alert(dameAlerta(idioma, 1));
		     			docu.CodTaller.focus();
		     			return;
		     		}
		     	}
		     	if(docu.DescTaller){
		     		if(existeCaracter(docu.DescTaller.value,"\'")||existeCaracter(docu.DescTaller.value,'\"')){
		     			alert(dameAlerta(idioma, 1));
		     			docu.DescTaller.focus();
		     			return;
		     		}
		     	}
		     	if(docu.NFactura){
					if(existeCaracter(docu.NFactura.value,"\'")||existeCaracter(docu.NFactura.value,'\"')){
		     			alert(dameAlerta(idioma, 1));
		     			docu.NFactura.focus();
		     			return;
		     		}	
		     	}
				if (bGrabar == "1") {
				 			
					fncHabilitarMenosCampo(formOrdTrabajo, "");
					formatearFecha(docu.FEntrada);
           			formatearFecha(docu.FSalida);
           			formatearFecha(docu.FFactura);
           			formatearFecha(docu.Garantia);
					docu.action="m05bGrabarOrdenTrabajoServlet?Codigo=" + codigo + "&Accion=" + accion;
					docu.submit();
				}
			}  // Fin funcion fncGrabar
				
		    function fncComprobarTallerCod(){
		    	var docu = document.formOrdTrabajo;
		    	if(existeCaracter(docu.CodTaller.value,"\'")||existeCaracter(docu.CodTaller.value,'\"')){
	     			alert(dameAlerta(idioma, 1));
	     			docu.CodTaller.focus();
	     			return;
	     		}
		    }
		    
		    function fncComprobarTallerDesc(){
		    	var docu = document.formOrdTrabajo;
		    	if(existeCaracter(docu.DescTaller.value,"\'")||existeCaracter(docu.DescTaller.value,'\"')){
	     			alert(dameAlerta(idioma, 1));
	     			docu.DescTaller.focus();
	     			return;
	     		}
		    }
		    
		    function fncCancelar(){
		       var docu=document.formOrdTrabajo;
		       docu.action="m05bMenu_c.jsp";
		       docu.target="_top";
		       docu.submit();
		    } // Fin fncCancelar
		    	
		    function ponerHora (){
		        var Hoy = new Date();
		        dia=Hoy.getDate();
		        mes=Hoy.getMonth();
		        mes++;
		        ano=Hoy.getYear();
		        horas=Hoy.getHours();
		        minutos=Hoy.getMinutes();
		        Hor=horas+":";
		        if (minutos<10)
		         Hor=Hor+"0"+minutos;
		        else
		         Hor=Hor+minutos;
		
		        if(idioma=="eu")
		        document.formOrdTrabajo.FEntrada.value=ano+"/"+mes+"/"+dia;
		        else
		        	document.formOrdTrabajo.FEntrada.value=dia+"/"+mes+"/"+ano;
		        document.formOrdTrabajo.HEntrada.value=Hor;
		    }  // Fin funcion ponerHora
		    	
			function fncImprimir (){
		        var docu=document.formOrdTrabajo;
		        docu.NOrden.disabled=false;
		        docu.action="m05bOTPDFDetalleJsp.jsp?Mensaje=<%=mensaje%>" ;
		        docu.submit();
		    }	// Fin funcion fncImprimir
		    	
	       function fncCambiaInicio(campo,tipo){
				document.formOrdTrabajo.Kment.value=trimPointers(document.formOrdTrabajo.KmEntrada.value);
				document.formOrdTrabajo.Kmsal.value = trimPointers(document.formOrdTrabajo.KmSalida.value);
				document.formOrdTrabajo.KmAct.value = trimPointers(document.formOrdTrabajo.KmAct.value);
				if (tipo == "1" ){
				  if(formatNumero(campo)){
					 if(kmOTIni())
						return true;
				  }
				}else{
			       if(formatearFecha(campo)){
					  if(kmOTIni())
						return true;
				   }
				}				
				return false;
			}				
       function fncCambiaFin(campo,tipo){
				document.formOrdTrabajo.Kment.value=trimPointers(document.formOrdTrabajo.KmEntrada.value);
				document.formOrdTrabajo.Kmsal.value = trimPointers(document.formOrdTrabajo.KmSalida.value);
				document.formOrdTrabajo.KmAct.value = trimPointers(document.formOrdTrabajo.KmAct.value);
				if (tipo == "1" ){
				  if(formatNumero(campo)){
					 if(kmOTFin())
						return true;
				  }
				}else{
			       if(formatearFecha(campo)){
					  if(kmOTFin())
						return true;
				   }
				}				
				return false;
			}							    	
    setTimeout('initSlide();', 1);
	formatNumero(document.formOrdTrabajo.KmEntrada);
	formatNumero(document.formOrdTrabajo.KmSalida);
	if (document.formOrdTrabajo.FEntrada != null) {
		formatearFecha(document.formOrdTrabajo.FEntrada);
	}
	if (document.formOrdTrabajo.FSalida != null) {
		formatearFecha(document.formOrdTrabajo.FSalida);
	}
	if (document.formOrdTrabajo.FFactura != null) {
		formatearFecha(document.formOrdTrabajo.FFactura);
	}
	if (document.formOrdTrabajo.FGarantia != null) {
		formatearFecha(document.formOrdTrabajo.FGarantia);
	}
		
</SCRIPT>
<IFRAME src="" width="0" height="0" scrolling="no" frameborder="0" name="cargar">
</IFRAME>
<FORM NAME="formRevision"  METHOD="POST">
		  <input type="hidden" name="Codigo" value="">
		  <input type="hidden" name="Descripcion" value="">
		  <input type="hidden" name="Matricula" value="">
		  <input type="hidden" name="Fecha" value="">
		  <input type="hidden" name="KmProxRevision" value="">
		  <input type="hidden" name="KmRevision" value="">
		  <input type="hidden" name="FechaProx" value="">
		  <input type="hidden" name="NOrden" value="">
		  <input type="hidden" name="Importe" value="">
		  <input type="hidden" name="Accion" value="">
		  <input type="hidden" name="Ordenes" value="S">
		  <input type="hidden" name="Realizada" value="">
		  <input type="hidden" name="RevMes" value="">
</FORM>
</BODY>
</HTML>